# Generated from ruby-graphviz-1.0.9.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name ruby-graphviz
%global rubyabi 1.9.1

Summary: Interface to the GraphViz graphing tool
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 1.0.9
Release: 1%{?dist}
Group: Development/Languages
License: GPLv2+ or Ruby
URL: http://github.com/glejeune/Ruby-Graphviz
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems) 
Requires: %{?scl_prefix}ruby 
BuildRequires: %{?scl_prefix}rubygems-devel 
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Ruby/Graphviz provides an interface to layout and generate images of directed
graphs in a variety of formats (PostScript, PNG, etc.) using GraphViz.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --bindir .%{_bindir} \
            --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x


%files
%dir %{gem_instdir}
%{_bindir}/dot2ruby
%{_bindir}/gem2gv
%{_bindir}/git2gv
%{_bindir}/ruby2gv
%{_bindir}/xml2gv
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%exclude %{gem_instdir}/.*


%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/COPYING.rdoc
%doc %{gem_instdir}/AUTHORS.rdoc
%doc %{gem_instdir}/CHANGELOG.rdoc
%doc %{gem_instdir}/Gemfile
%doc %{gem_instdir}/Rakefile
%doc %{gem_instdir}/examples
%doc %{gem_instdir}/man
%doc %{gem_instdir}/setup.rb
%doc %{gem_instdir}/test
%doc %{gem_instdir}/ruby-graphviz.gemspec

%changelog
* Fri May 10 2013 Steve Linabery <slinaber@redhat.com> - 1.0.9-1
- Initial package
